import pygame


class Waiter:

    def __init__(self, x, y, minX, maxX, minY, maxY, ratio):
        self.__minX = minX
        self.__maxX = maxX
        self.__minY = minY
        self.__maxY = maxY
        self.setX(x)
        self.setY(y)
        self.__ratio = ratio #cell size
        self.__image = self.__loadImg('./images/waiter.png')

    def setX(self, x):
        if (x < self.__minX or self.__maxX < x):
            return False
        else:
            self.__x = x
            return True

    def setY(self, y):
        if (y < self.__minY or self.__maxY < y):
            return False
        else:
            self.__y = y
            return True

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y

    def getXmin(self):
        return self.__minX

    def getXmax(self):
        return self.__maxX

    def getYmin(self):
        return self.__minY

    def getYmax(self):
        return self.__maxY

    def moveUp(self):
        if self.__y > self.__minY:
            self.__y -= 1
            return True
        else:
            return False

    def moveDown(self):
        if self.__y < self.__maxY:
            self.__y += 1
            return True
        else:
            return False

    def moveLeft(self):
        if self.__x > self.__minX:
            self.__x -= 1
            return True
        else:
            return False

    def moveRight(self):
        if self.__x < self.__maxX:
            self.__x += 1
            return True
        else:
            return False

    def __loadImg(self, filePath):
        return pygame.image.load(filePath)

    def draw(self, screen):
        screen.blit(self.__image, (self.__x * self.__ratio, self.__y * self.__ratio))